﻿//==========================================================
// 
// File: ReverseNumber.cs     CS112 Demo
// 
// -------------------- 
// Το πρόγραμμα αυτό αντιστρέφει τα ψηφία ενός αριθμού με χρήση /, %, and *.
//==========================================================
using System;

class ReverseNumber
{
    static void Main(string[] args)
    {
        int number,
            lastDigit,
            reverse = 0;  // the reversed number

        Console.Write("Enter a positive integer: ");
        number = Int32.Parse(Console.ReadLine());

        while (number > 0)
        {
            // get the last digit of the remaining number
            lastDigit = number % 10;

            // append this last digit to the end of the already 
            // chopped off digits
            reverse = (reverse * 10) + lastDigit;

            // now remove the last digit from the number
            number = number / 10;
        }

        Console.WriteLine("That number reversed is " + reverse);

        Console.ReadKey();

    } // end of method Main

} // end of class
