﻿//==========================================================
// 
// File: Wage.cs
// 
// -------------------- 
// Το πρόγραμμα αυτό δείχνει τη χρήση του if-else.
//==========================================================

using System;

class Wage
{
    // This is the Main method
    static void Main(string[] args)
    {
        // I use const because I know they will not be changed!
        const double RATE = 10.00;  // regular pay rate
        const int STANDARD = 40;   // standard hours in a work week

        double pay = 0.0;

        // Get the number of hours worked
        Console.Write("Enter the number of hours worked: ");
        int hours = Int32.Parse(Console.ReadLine());

        // start a new line for output
        Console.WriteLine();

        // Pay overtime if needed
        if (hours > STANDARD)
            pay = STANDARD * RATE + (hours - STANDARD) * (RATE * 1.5);
        else
            pay = hours * RATE;

        // Note that I use {0:C} to set output as currency
        Console.WriteLine("Gross earnings: {0:C}", pay);

        Console.ReadKey();
    } // end of Main
} // end of class

