﻿//==========================================================
// 
// File: Average2.cs           CS112 Demo
// 
// -------------------- 
// This program gets grades from the user until the user 
// enters -1. Then the program computes grade average.
//
//==========================================================
using System;

class Average2
{
    static void Main(string[] args)
    {

        int total,           // sum of grades
            gradeCounter,    // number of grades entered
            gradeValue;      // grade value

        double average;      // average of all grades

        // initialization phase
        total = 0;           // clear total
        gradeCounter = 0;    // prepare to loop

        // processing phase
        // prompt for input and convert to integer
        Console.Write("Enter Integer Grade, -1 to Quit: ");
        gradeValue = Int32.Parse(Console.ReadLine());

        // loop until a -1 is entered by user
        while (gradeValue != -1)
        {
            // add gradeValue to total
            total = total + gradeValue;

            // add 1 to gradeCounter
            gradeCounter = gradeCounter + 1;

            // prompt for input and read grade from user
            // convert grade from string to integer
            Console.Write("Enter Integer Grade, -1 to Quit: ");
            gradeValue = Int32.Parse(Console.ReadLine());
        } // end while

        // termination phase
        if (gradeCounter != 0)
        {
            average = (double)total / gradeCounter;

            // display average of exam grades
            Console.WriteLine("\nClass average is {0}", average);
        }
        else
        {
            Console.WriteLine("\nNo grades were entered");
        }

        Console.ReadKey();

    } // end of method Main
} // end of class
